image: python:3.11

variables:
  PIP_CACHE_DIR: "$CI_PROJECT_DIR/.cache/pip"

cache:
  paths:
    - .cache/pip

before_script:
  - python --version ; pip --version  # For debugging
  - python -m venv venv
  - source venv/bin/activate

test:
  script:
    - pip install build auditwheel abi3audit pytest
    - python -m build
    - auditwheel repair dist/*.whl
    - abi3audit -vs wheelhouse/*.whl
    - pip install wheelhouse/*.whl
    - pytest
  artifacts:
    paths:
      - dist/*.tar.gz
      - wheelhouse/*
